POST api/Score/Bind/Course/Swap
自己兑换自己绑定(说明:小程序端接口)
Request Information
URI Parameters
None.
Body Parameters
参数列表
API_BindCourseSwap| Name | Description | Type | Additional information |
|---|---|---|---|
| userOpenId |
微信OpenId |
string |
None. |
| convertCourseRecordId |
兑换课程记录ID |
integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"userOpenId": "sample string 1",
"convertCourseRecordId": 2
}
Response Information
Resource Description
返状态码: 403:请求不合理,服务器拒绝执行(1、请求参数不正确 2、兑换人信息不正确)... 。404:兑换信息不存在、课程兑换信息不存在、课程信息不存在... 。201:课程兑换信息已被绑定... 。200:兑换绑定成功... 。400:兑换绑定失败... 。
BindCourseResult| Name | Description | Type | Additional information |
|---|---|---|---|
| courseId |
课程编号 |
integer |
None. |
| courseName |
课程名称 |
string |
None. |
| status |
公共返回值: 480:Token无效。 481:请求需要身份验证。 482:身份验证方式不正确。 483:Token已过期。 500:服务器内部错误。 |
integer |
None. |
| msg |
消息 |
string |
None. |
Response Formats
application/json, text/json
Sample:
{
"courseId": 1,
"courseName": "sample string 2",
"status": 3,
"msg": "sample string 4"
}